
Partial Class TEST_VB
    Inherits System.Web.UI.Page

    Protected Sub SqlDataSource1_Inserting(sender As Object, e As System.Web.UI.WebControls.SqlDataSourceCommandEventArgs) Handles SqlDataSource1.Inserting
        Dim subject = e.Command.Parameters(0).Value

        If subject Is Nothing Then
            e.Cancel = True
        End If
    End Sub
End Class
